Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.ibatis
Interface SqlMapClientOperations

All Known Implementing Classes:
  SqlMapClientTemplate

    public interface SqlMapClientOperations

Interface that specifies a basic set of iBATIS SqlMapClient operations, implemented by `SqlMapClientTemplate`. Not often used, but a useful option to enhance testability, as it can easily be mocked or stubbed.

Defines SqlMapClientTemplate's convenience methods that mirror the iBATIS `SqlMapExecutor`'s execution methods. Users are strongly encouraged to read the iBATIS javadocs for details on the semantics of those methods.

Since:
  24.02.2004
Author:
  Juergen Hoeller
See Also:
  `SqlMapClientTemplate`, `SqlMapClient`, `SqlMapExecutor`

Method Summary
`int` | `delete(java.lang.String statementName)`
`int` | `delete(java.lang.String statementName, java.lang.Object parameterObject)`
`void` | `delete(java.lang.String statementName, java.lang.Object parameterObject, int requiredRowsAffected)` Convenience method provided by Spring: execute a delete operation with an automatic check that the delete affected the given required number of rows.
`java.lang.Object` | `insert(java.lang.String statementName)`
`java.lang.Object` | `insert(java.lang.String statementName, java.lang.Object parameterObject)`
`java.util.List` | `queryForList(java.lang.String statementName)`
`java.util.List` | `queryForList(java.lang.String statementName, int skipResults, int maxResults)`
`java.util.List` | `queryForList(java.lang.String statementName, java.lang.Object parameterObject)`
`java.util.List` | `queryForList(java.lang.String statementName, java.lang.Object parameterObject, int skipResults, int maxResults)`
`java.util.Map` | `queryForMap(java.lang.String statementName, java.lang.Object parameterObject, java.lang.String keyProperty)`
`java.util.Map` | `queryForMap(java.lang.String statementName, java.lang.Object parameterObject, java.lang.String keyProperty, java.lang.String valueProperty)`
`java.lang.Object` | `queryForObject(java.lang.String statementName)`
`java.lang.Object` | `queryForObject(java.lang.String statementName, java.lang.Object parameterObject)`
`java.lang.Object` | `queryForObject(java.lang.String statementName, java.lang.Object parameterObject, java.lang.Object resultObject)`
`void` | `queryWithRowHandler(java.lang.String statementName, java.lang.Object parameterObject, com.ibatis.sqlmap.client.event.RowHandler rowHandler)`
`void` | `queryWithRowHandler(java.lang.String statementName, com.ibatis.sqlmap.client.event.RowHandler rowHandler)`
`int` | `update(java.lang.String statementName)`
`int` | `update(java.lang.String statementName, java.lang.Object parameterObject)`
`void` | `update(java.lang.String statementName, java.lang.Object parameterObject, int requiredRowsAffected)` Convenience method provided by Spring: execute an update operation with an automatic check that the update affected the given required number of rows.

Method Detail

### queryForObject

    java.lang.Object queryForObject(java.lang.String statementName)
                                    throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForObject(String)`

### queryForObject

    java.lang.Object queryForObject(java.lang.String statementName,
                                    java.lang.Object parameterObject)
                                    throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForObject(String, Object)`

### queryForObject

    java.lang.Object queryForObject(java.lang.String statementName,
                                    java.lang.Object parameterObject,
                                    java.lang.Object resultObject)
                                    throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForObject(String, Object, Object)`

### queryForList

    java.util.List queryForList(java.lang.String statementName)
                                throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForList(String)`

### queryForList

    java.util.List queryForList(java.lang.String statementName,
                                java.lang.Object parameterObject)
                                throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForList(String, Object)`

### queryForList

    java.util.List queryForList(java.lang.String statementName,
                                int skipResults,
                                int maxResults)
                                throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForList(String, int, int)`

### queryForList

    java.util.List queryForList(java.lang.String statementName,
                                java.lang.Object parameterObject,
                                int skipResults,
                                int maxResults)
                                throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForList(String, Object, int, int)`

### queryWithRowHandler

    void queryWithRowHandler(java.lang.String statementName,
                             com.ibatis.sqlmap.client.event.RowHandler rowHandler)
                             throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryWithRowHandler(String, RowHandler)`

### queryWithRowHandler

    void queryWithRowHandler(java.lang.String statementName,
                             java.lang.Object parameterObject,
                             com.ibatis.sqlmap.client.event.RowHandler rowHandler)
                             throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryWithRowHandler(String, Object, RowHandler)`

### queryForMap

    java.util.Map queryForMap(java.lang.String statementName,
                              java.lang.Object parameterObject,
                              java.lang.String keyProperty)
                              throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForMap(String, Object, String)`

### queryForMap

    java.util.Map queryForMap(java.lang.String statementName,
                              java.lang.Object parameterObject,
                              java.lang.String keyProperty,
                              java.lang.String valueProperty)
                              throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.queryForMap(String, Object, String, String)`

### insert

    java.lang.Object insert(java.lang.String statementName)
                            throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.insert(String)`

### insert

    java.lang.Object insert(java.lang.String statementName,
                            java.lang.Object parameterObject)
                            throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.insert(String, Object)`

### update

    int update(java.lang.String statementName)
               throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.update(String)`

### update

    int update(java.lang.String statementName,
               java.lang.Object parameterObject)
               throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.update(String, Object)`

### update

    void update(java.lang.String statementName,
                java.lang.Object parameterObject,
                int requiredRowsAffected)
                throws DataAccessException

  Convenience method provided by Spring: execute an update operation with an automatic check that the update affected the given required number of rows.

  Parameters:
    `statementName` - the name of the mapped statement
    `parameterObject` - the parameter object
    `requiredRowsAffected` - the number of rows that the update is required to affect
  Throws:
    `DataAccessException` - in case of errors

### delete

    int delete(java.lang.String statementName)
               throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.delete(String)`

### delete

    int delete(java.lang.String statementName,
               java.lang.Object parameterObject)
               throws DataAccessException

  Throws:
    `DataAccessException` - in case of errors
  See Also:
    `SqlMapExecutor.delete(String, Object)`

### delete

    void delete(java.lang.String statementName,
                java.lang.Object parameterObject,
                int requiredRowsAffected)
                throws DataAccessException

  Convenience method provided by Spring: execute a delete operation with an automatic check that the delete affected the given required number of rows.

  Parameters:
    `statementName` - the name of the mapped statement
    `parameterObject` - the parameter object
    `requiredRowsAffected` - the number of rows that the delete is required to affect
  Throws:
    `DataAccessException` - in case of errors

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD